Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignConditionalStyle

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseStyle
          net.sf.jasperreports.engine.base.JRBaseConditionalStyle
              net.sf.jasperreports.engine.design.JRDesignConditionalStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRBoxContainer, JRCloneable, JRConditionalStyle, JRPenContainer, JRStyle, JRStyleContainer

    public class JRDesignConditionalStyle

extends JRBaseConditionalStyle

Version:
  $Id: JRDesignConditionalStyle.java 3438 2010-02-18 14:39:36Z teodord $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_CONDITION_EXPRESSION`
`static java.lang.String` | `PROPERTY_PARENT_STYLE`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseConditionalStyle
`conditionExpression`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseStyle
`backcolor, conditionalStyles, defaultStyleProvider, fillValue, fontName, fontSize, forecolor, horizontalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isPdfEmbedded, isStrikeThrough, isUnderline, lineBox, linePen, lineSpacingValue, markup, modeValue, name, parentStyle, parentStyleNameReference, pattern, pdfEncoding, pdfFontName, positionType, PROPERTY_BACKCOLOR, PROPERTY_BLANK_WHEN_NULL, PROPERTY_BOLD, PROPERTY_FILL, PROPERTY_FONT_NAME, PROPERTY_FONT_SIZE, PROPERTY_FORECOLOR, PROPERTY_HORIZONTAL_ALIGNMENT, PROPERTY_IS_STYLED_TEXT, PROPERTY_ITALIC, PROPERTY_LINE_SPACING, PROPERTY_MARKUP, PROPERTY_MODE, PROPERTY_PATTERN, PROPERTY_PDF_EMBEDDED, PROPERTY_PDF_ENCODING, PROPERTY_PDF_FONT_NAME, PROPERTY_RADIUS, PROPERTY_ROTATION, PROPERTY_SCALE_IMAGE, PROPERTY_STRIKE_THROUGH, PROPERTY_UNDERLINE, PROPERTY_VERTICAL_ALIGNMENT, radius, rotationValue, scaleImageValue, stretchType, verticalAlignmentValue`

Fields inherited from interface net.sf.jasperreports.engine.JRStyle
`PROPERTY_EVALUATION_TIME_ENABLED`

Constructor Summary
`JRDesignConditionalStyle()`

Method Summary
`void` | `setConditionExpression(JRExpression conditionExpression)`
`void` | `setParentStyle(JRStyle parentStyle)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseConditionalStyle
`clone, getConditionExpression`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseStyle
`checkCircularParent, getBackcolor, getBorder, getBorderColor, getBottomBorder, getBottomBorderColor, getBottomPadding, getConditionalStyles, getDefaultLineColor, getDefaultLineWidth, getDefaultStyleProvider, getEventSupport, getFill, getFillValue, getFontName, getFontSize, getForecolor, getHorizontalAlignment, getHorizontalAlignmentValue, getLeftBorder, getLeftBorderColor, getLeftPadding, getLineBox, getLinePen, getLineSpacing, getLineSpacingValue, getMarkup, getMode, getModeValue, getName, getOwnBackcolor, getOwnBorder, getOwnBorderColor, getOwnBottomBorder, getOwnBottomBorderColor, getOwnBottomPadding, getOwnFill, getOwnFillValue, getOwnFontName, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignment, getOwnHorizontalAlignmentValue, getOwnLeftBorder, getOwnLeftBorderColor, getOwnLeftPadding, getOwnLineSpacing, getOwnLineSpacingValue, getOwnMarkup, getOwnMode, getOwnModeValue, getOwnPadding, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnPen, getOwnRadius, getOwnRightBorder, getOwnRightBorderColor, getOwnRightPadding, getOwnRotation, getOwnRotationValue, getOwnScaleImage, getOwnScaleImageValue, getOwnTopBorder, getOwnTopBorderColor, getOwnTopPadding, getOwnVerticalAlignment, getOwnVerticalAlignmentValue, getPadding, getPattern, getPdfEncoding, getPdfFontName, getPen, getRadius, getRightBorder, getRightBorderColor, getRightPadding, getRotation, getRotationValue, getScaleImage, getScaleImageValue, getStyle, getStyleNameReference, getTopBorder, getTopBorderColor, getTopPadding, getVerticalAlignment, getVerticalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnStyledText, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isStyledText, isUnderline, rename, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setBorder, setBorder, setBorderColor, setBottomBorder, setBottomBorder, setBottomBorderColor, setBottomPadding, setBottomPadding, setFill, setFill, setFill, setFontName, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setHorizontalAlignment, setHorizontalAlignment, setItalic, setItalic, setLeftBorder, setLeftBorder, setLeftBorderColor, setLeftPadding, setLeftPadding, setLineSpacing, setLineSpacing, setLineSpacing, setMarkup, setMode, setMode, setMode, setPadding, setPadding, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setPen, setPen, setRadius, setRadius, setRightBorder, setRightBorder, setRightBorderColor, setRightPadding, setRightPadding, setRotation, setRotation, setRotation, setScaleImage, setScaleImage, setScaleImage, setStrikeThrough, setStrikeThrough, setStyledText, setStyledText, setTopBorder, setTopBorder, setTopBorderColor, setTopPadding, setTopPadding, setUnderline, setUnderline, setVerticalAlignment, setVerticalAlignment, setVerticalAlignment`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRStyle
`getBackcolor, getBorder, getBorderColor, getBottomBorder, getBottomBorderColor, getBottomPadding, getConditionalStyles, getFill, getFillValue, getFontName, getFontSize, getForecolor, getHorizontalAlignment, getHorizontalAlignmentValue, getLeftBorder, getLeftBorderColor, getLeftPadding, getLineBox, getLinePen, getLineSpacing, getLineSpacingValue, getMarkup, getMode, getModeValue, getName, getOwnBackcolor, getOwnBorder, getOwnBorderColor, getOwnBottomBorder, getOwnBottomBorderColor, getOwnBottomPadding, getOwnFill, getOwnFillValue, getOwnFontName, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignment, getOwnHorizontalAlignmentValue, getOwnLeftBorder, getOwnLeftBorderColor, getOwnLeftPadding, getOwnLineSpacing, getOwnLineSpacingValue, getOwnMarkup, getOwnMode, getOwnModeValue, getOwnPadding, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnPen, getOwnRadius, getOwnRightBorder, getOwnRightBorderColor, getOwnRightPadding, getOwnRotation, getOwnRotationValue, getOwnScaleImage, getOwnScaleImageValue, getOwnTopBorder, getOwnTopBorderColor, getOwnTopPadding, getOwnVerticalAlignment, getOwnVerticalAlignmentValue, getPadding, getPattern, getPdfEncoding, getPdfFontName, getPen, getRadius, getRightBorder, getRightBorderColor, getRightPadding, getRotation, getRotationValue, getScaleImage, getScaleImageValue, getTopBorder, getTopBorderColor, getTopPadding, getVerticalAlignment, getVerticalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnStyledText, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isStyledText, isUnderline, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setBorder, setBorder, setBorderColor, setBottomBorder, setBottomBorder, setBottomBorderColor, setBottomPadding, setBottomPadding, setFill, setFill, setFill, setFontName, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setHorizontalAlignment, setHorizontalAlignment, setItalic, setItalic, setLeftBorder, setLeftBorder, setLeftBorderColor, setLeftPadding, setLeftPadding, setLineSpacing, setLineSpacing, setLineSpacing, setMarkup, setMode, setMode, setMode, setPadding, setPadding, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setPen, setPen, setRadius, setRadius, setRightBorder, setRightBorder, setRightBorderColor, setRightPadding, setRightPadding, setRotation, setRotation, setRotation, setScaleImage, setScaleImage, setScaleImage, setStrikeThrough, setStrikeThrough, setStyledText, setStyledText, setTopBorder, setTopBorder, setTopBorderColor, setTopPadding, setTopPadding, setUnderline, setUnderline, setVerticalAlignment, setVerticalAlignment, setVerticalAlignment`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor, getDefaultLineWidth`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Field Detail

### PROPERTY_CONDITION_EXPRESSION

    public static final java.lang.String PROPERTY_CONDITION_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_PARENT_STYLE

    public static final java.lang.String PROPERTY_PARENT_STYLE

See Also:
  Constant Field Values

Constructor Detail

### JRDesignConditionalStyle

    public JRDesignConditionalStyle()

Method Detail

### setConditionExpression

    public void setConditionExpression(JRExpression conditionExpression)

### setParentStyle

    public void setParentStyle(JRStyle parentStyle)

  Overrides:
    `setParentStyle` in class `JRBaseStyle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com